int printf(const char *, ...);

struct A { int x, y; };
int f(struct A a, int z) {
	printf("%d %d %d\n", a.x, a.y, z);
}
int g(int * x) {
	if (x == 0) printf("NULL\n");
	else printf("%d\n", *x);
}

int main() {
	f((struct A){ 3, 4 }, (int){ 5 } = 10);
	g((int[]){ 1, 2, 3 });
	g(&(int){ 0 });
}
